package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.WyPlatformBannerMapper;
import com.ruoyi.system.domain.WyPlatformBanner;
import com.ruoyi.system.service.IWyPlatformBannerService;

/**
 * platFormBannerService业务层处理
 * 
 * @author ruoyi
 * @date 2025-01-05
 */
@Service
public class WyPlatformBannerServiceImpl implements IWyPlatformBannerService 
{
    @Autowired
    private WyPlatformBannerMapper wyPlatformBannerMapper;

    /**
     * 查询platFormBanner
     * 
     * @param id platFormBanner主键
     * @return platFormBanner
     */
    @Override
    public WyPlatformBanner selectWyPlatformBannerById(Long id)
    {
        return wyPlatformBannerMapper.selectWyPlatformBannerById(id);
    }

    /**
     * 查询platFormBanner列表
     * 
     * @param wyPlatformBanner platFormBanner
     * @return platFormBanner
     */
    @Override
    public List<WyPlatformBanner> selectWyPlatformBannerList(WyPlatformBanner wyPlatformBanner)
    {
        return wyPlatformBannerMapper.selectWyPlatformBannerList(wyPlatformBanner);
    }

    /**
     * 新增platFormBanner
     * 
     * @param wyPlatformBanner platFormBanner
     * @return 结果
     */
    @Override
    public int insertWyPlatformBanner(WyPlatformBanner wyPlatformBanner)
    {
        wyPlatformBanner.setCreateTime(DateUtils.getNowDate());
        return wyPlatformBannerMapper.insertWyPlatformBanner(wyPlatformBanner);
    }

    /**
     * 修改platFormBanner
     * 
     * @param wyPlatformBanner platFormBanner
     * @return 结果
     */
    @Override
    public int updateWyPlatformBanner(WyPlatformBanner wyPlatformBanner)
    {
        wyPlatformBanner.setUpdateTime(DateUtils.getNowDate());
        return wyPlatformBannerMapper.updateWyPlatformBanner(wyPlatformBanner);
    }

    /**
     * 批量删除platFormBanner
     * 
     * @param ids 需要删除的platFormBanner主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformBannerByIds(Long[] ids)
    {
        return wyPlatformBannerMapper.deleteWyPlatformBannerByIds(ids);
    }

    /**
     * 删除platFormBanner信息
     * 
     * @param id platFormBanner主键
     * @return 结果
     */
    @Override
    public int deleteWyPlatformBannerById(Long id)
    {
        return wyPlatformBannerMapper.deleteWyPlatformBannerById(id);
    }
}
